Bug 309771 - nm-tool is really broken in 0.7
Summary: nm-tool is really broken in 0.7
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-27 19:36 UTC by Matthew Miller
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-28 16:24:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Miller 2007-09-27 19:36:34 UTC
Description of problem:

$ nm-tool 
mkdir: cannot create directory `/usr/bin/.libs': Permission denied
/usr/bin/nm-tool: line 99: cd: /builddir/build/BUILD/NetworkManager-0.7.0/test:
No such file or directory
gcc: nm-tool.o: No such file or directory
gcc: ../libnm-glib/.libs/libnm_glib.so: No such file or directory
gcc: /builddir/build/BUILD/NetworkManager-0.7.0/libnm-util/.libs/libnm-util.so:
No such file or directory
gcc: ../libnm-util/.libs/libnm-util.so: No such file or directory


Version-Release number of selected component (if applicable):

NetworkManager-0.7.0-0.3.svn2886.fc8

Comment 1 Matthew Miller 2007-09-27 19:37:16 UTC
From the script itself:

# nm-tool - temporary wrapper script for .libs/nm-tool
# Generated by ltmain.sh - GNU libtool 1.5.22 (1.1220.2.365 2005/12/18 22:14:06)
#
# The nm-tool program cannot be directly executed until all the libtool
# libraries that it depends on are installed.
#
# This wrapper script should never be moved out of the build directory.
# If it is, it will not operate correctly.


Comment 2 Matthias Clasen 2007-09-28 01:44:18 UTC
Fixed upstream, will be in the next snapshot.

Comment 3 Bill Nottingham 2007-09-28 16:24:32 UTC
Should be fixed in NetworkManager-0.7.0-0.3.svn2907.fc8


Note You need to log in before you can comment on or make changes to this bug.